# Created by pyp2rpm-3.3.2
%global srcname zope.deferredimport
%global pypi_name %(tr . - <<< %{srcname})

%bcond_without docs

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 4
Summary:        zope.deferredimport allows you to perform imports names that will only be resolved when used in the code
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.deferredimport
Source0:        %{pypi_source}
Patch1:         python-zope-deferredimport-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't need this
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitelib}/zope/deferredimport/tests.py
%exclude %{python3_sitelib}/zope/deferredimport/__pycache__/tests.cpython-%{python3_version_nodots}{,.opt-?}.pyc


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.0-4.mga10
+ Revision: 2242611
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 5.0-3.mga10
+ Revision: 2160215
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 5.0-2.mga10
+ Revision: 2149997
- backport upstream fixes for doc build with sphinx 8.1

* Thu Dec 21 2023 wally <wally> 5.0-1.mga10
+ Revision: 2020656
- new version 5.0
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 4.3.1-7.mga9
+ Revision: 1832698
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 4.3.1-6.mga9
+ Revision: 1778822
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.3.1-5.mga9
+ Revision: 1732646
- Rebuild for python 3.9
- properly remove bundled egg-info
- add more %%python_provides

* Thu Oct 08 2020 kekepower <kekepower> 4.3.1-4.mga8
+ Revision: 1632716
- Rebuild for new python rpm macros

* Sun Feb 16 2020 umeabot <umeabot> 4.3.1-3.mga8
+ Revision: 1534552
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 guillomovitch <guillomovitch> 4.3.1-2.mga8
+ Revision: 1449335
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.3.1-1.mga8
+ Revision: 1432174
- imported package python-zope-deferredimport

